package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 1 "/home/production/cxgn/milkweed/mason/homepage/usage_popup.mas"
$m->print( '
<div id="usage_policy"> <h4>MilkweedBase adheres to the Toronto agreement on prepublication data release</h4>
All data deposited on MilkweedBase adhere to the Toronto Agreement on prepublication data release. To foster a transparent and accessible data sharing culture, all data deposited on MilkweedBase will be made public immediately. Data users are expected to respect scientific etiquette and allow data producers to publish the first global analyses of their data set. Please be aware that pre-publication data may not have been subject to full quality control and peer review, so caution must be applied when utilizing these data.
</div>

<style type="text/css">
  .no-close .ui-dialog-titlebar-close { 
    display: none;
}
</style>

<script>

  jQuery(function() {
    jQuery( \'#usage_policy\' ).dialog( { 
      modal: true,
      title: "Please Note: Website Data Usage Policy",
      width:500, 
      closeOnEscape: false,
      dialogClass: "no-close",
      autoOpen: false,
  buttons: { 
        "Don\'t agree": function() { document.location.href="http://google.com"; } , 
        "Agree": function() { jQuery.cookie("website_usage_policy_approved", "1", { expires: 10000 } ); jQuery(this).dialog("close") } 
}
    });
  });


  if (jQuery.cookie("website_usage_policy_approved") == 1) { 
    document.write(\'You have already accepted the <a href="/usage_policy">website usage policy</a>. Thank you.<br />\');
  }

  window.onload=function() { 
    var cookie = jQuery.cookie("website_usage_policy_approved");
  //alert("have cookie: "+cookie);
 
    if (cookie == undefined) {
    //  alert("showing!");
  
      jQuery(\'#usage_policy\').dialog("open");
  //alert("Done!");
    } 
    else { 
      //alert("Hiding!");
      jQuery(\'#usage_policy\').dialog("close");
  
    }
  }

</script>
' );
;return;
},
'load_time' => 1729517275,

)
;